Repository: cordova-cli
Updated Branches:
  refs/heads/master 4759c4670 -> 9c306a44e


CB-11976 - Add deprecated node version warning for 0.x


Project: http://git-wip-us.apache.org/repos/asf/cordova-cli/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-cli/commit/0814fe06
Tree: http://git-wip-us.apache.org/repos/asf/cordova-cli/tree/0814fe06
Diff: http://git-wip-us.apache.org/repos/asf/cordova-cli/diff/0814fe06

Branch: refs/heads/master
Commit: 0814fe06c7851103ea321873cd160b47481596cd
Parents: 4759c46
Author: Shazron Abdullah <shaz...@apache.org>
Authored: Mon Oct 10 00:53:58 2016 -0700
Committer: Shazron Abdullah <shaz...@apache.org>
Committed: Mon Oct 10 00:53:58 2016 -0700

----------------------------------------------------------------------
 src/cli.js | 6 ++++++
 1 file changed, 6 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-cli/blob/0814fe06/src/cli.js
----------------------------------------------------------------------
diff --git a/src/cli.js b/src/cli.js
index d3b6d92..5133cd8 100644
--- a/src/cli.js
+++ b/src/cli.js
@@ -287,6 +287,12 @@ function cli(inputArgs) {
         }
     }
 
+    if (/^v0.\d+[.\d+]*/.exec(process.version)) { // matches v0.* 
+        var msg = 'Warning: using node version ' + process.version +
+                ' which has been deprecated. Please upgrade to the latest node 
version available (v6.x is recommended).';
+        logger.warn(msg);
+    }
+
     // If there were arguments protected from nopt with a double dash, keep
     // them in unparsedArgs. For example:
     // cordova build ios -- --verbose --whatever


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@cordova.apache.org
For additional commands, e-mail: commits-h...@cordova.apache.org

Reply via email to